Index: testsuites/psxtests/psxhdrs/stdio/vdprintf.c
===================================================================
--- testsuites/psxtests/psxhdrs/stdio/vdprintf.c	(revision 617976759e5fdbe37098c4fff4cf972a868ea86a)
+++ testsuites/psxtests/psxhdrs/stdio/vdprintf.c	(revision b7a1f9efadd928cda0f56123a1b6245b30b076fc)
@@ -31,8 +31,8 @@
 int test( void )
 {
-  char *fmt1 = "%d";
+  va_list ap;
   int result;
 
-  result = vdprintf( 2, fmt1, NULL );
+  result = vdprintf( 2, "%d", ap );
 
   return result;
Index: testsuites/psxtests/psxhdrs/stdio/vfprintf.c
===================================================================
--- testsuites/psxtests/psxhdrs/stdio/vfprintf.c	(revision 617976759e5fdbe37098c4fff4cf972a868ea86a)
+++ testsuites/psxtests/psxhdrs/stdio/vfprintf.c	(revision b7a1f9efadd928cda0f56123a1b6245b30b076fc)
@@ -32,9 +32,9 @@
 {
   FILE *stream;
-  char *fmt1 = "%d";
+  va_list ap;
   int result;
 
   stream = fopen( "myfile.dat", "w" );
-  result = vfprintf( stream, fmt1, NULL );
+  result = vfprintf( stream, "%d", ap );
 
   return result;
Index: testsuites/psxtests/psxhdrs/stdio/vfscanf.c
===================================================================
--- testsuites/psxtests/psxhdrs/stdio/vfscanf.c	(revision 617976759e5fdbe37098c4fff4cf972a868ea86a)
+++ testsuites/psxtests/psxhdrs/stdio/vfscanf.c	(revision b7a1f9efadd928cda0f56123a1b6245b30b076fc)
@@ -32,9 +32,9 @@
 {
   FILE *stream;
-  char *fmt1 = " %d %99s ";
+  va_list ap;
   int result;
 
   stream = fopen( "myfile.dat", "w" );
-  result = vfscanf( stream, fmt1, NULL );
+  result = vfscanf( stream, " %d %99s ", ap );
 
   return result;
Index: testsuites/psxtests/psxhdrs/stdio/vprintf.c
===================================================================
--- testsuites/psxtests/psxhdrs/stdio/vprintf.c	(revision 617976759e5fdbe37098c4fff4cf972a868ea86a)
+++ testsuites/psxtests/psxhdrs/stdio/vprintf.c	(revision b7a1f9efadd928cda0f56123a1b6245b30b076fc)
@@ -31,8 +31,8 @@
 int test( void )
 {
-  char *fmt1 = " %d %99s ";
+  va_list ap;
   int result;
 
-  result = vprintf( fmt1, NULL );
+  result = vprintf( " %d %99s ", ap );
 
   return result;
Index: testsuites/psxtests/psxhdrs/stdio/vscanf.c
===================================================================
--- testsuites/psxtests/psxhdrs/stdio/vscanf.c	(revision 617976759e5fdbe37098c4fff4cf972a868ea86a)
+++ testsuites/psxtests/psxhdrs/stdio/vscanf.c	(revision b7a1f9efadd928cda0f56123a1b6245b30b076fc)
@@ -31,8 +31,8 @@
 int test( void )
 {
-  char *fmt1 = " %d %99s ";
+  va_list ap;
   int result;
 
-  result = vscanf( fmt1, NULL );
+  result = vscanf( " %d %99s ", ap );
 
   return result;
Index: testsuites/psxtests/psxhdrs/stdio/vsnprintf.c
===================================================================
--- testsuites/psxtests/psxhdrs/stdio/vsnprintf.c	(revision 617976759e5fdbe37098c4fff4cf972a868ea86a)
+++ testsuites/psxtests/psxhdrs/stdio/vsnprintf.c	(revision b7a1f9efadd928cda0f56123a1b6245b30b076fc)
@@ -31,9 +31,9 @@
 int test( void )
 {
-  char *fmt1 = " %d %99s ";
+  va_list ap;
   char string[128];
   int result;
 
-  result = vsnprintf( string, sizeof(string), fmt1, NULL );
+  result = vsnprintf( string, sizeof(string), " %d %99s ", ap );
 
   return result;
Index: testsuites/psxtests/psxhdrs/stdio/vsprintf.c
===================================================================
--- testsuites/psxtests/psxhdrs/stdio/vsprintf.c	(revision 617976759e5fdbe37098c4fff4cf972a868ea86a)
+++ testsuites/psxtests/psxhdrs/stdio/vsprintf.c	(revision b7a1f9efadd928cda0f56123a1b6245b30b076fc)
@@ -31,9 +31,9 @@
 int test( void )
 {
-  char *fmt1 = " %d %99s ";
+  va_list ap;
   char string[128];
   int result;
 
-  result = vsprintf( string, fmt1, NULL );
+  result = vsprintf( string, " %d %99s ", ap );
 
   return result;
Index: testsuites/psxtests/psxhdrs/stdio/vsscanf.c
===================================================================
--- testsuites/psxtests/psxhdrs/stdio/vsscanf.c	(revision 617976759e5fdbe37098c4fff4cf972a868ea86a)
+++ testsuites/psxtests/psxhdrs/stdio/vsscanf.c	(revision b7a1f9efadd928cda0f56123a1b6245b30b076fc)
@@ -32,8 +32,8 @@
 {
   char *tokenstring = "15 12 14";
-  char *fmt1 = " %d %99s ";
+  va_list ap;
   int result;
 
-  result = vsscanf( tokenstring, fmt1, NULL );
+  result = vsscanf( tokenstring, " %d %99s ", ap );
 
   return result;
